Subject: Best Current DNS Pracitices and our dogfood

From: "Rahmat M. Samik-Ibrahim" <[email-masked]>
Date: Wed, 19 Apr 2000 23:37:10 -0400

In regard of an engineer salary:
> all these oh so brilliant folk on the anti-cacheing crusade 
> should be sentenced to live in a significantly less privileged 
> country for a year, where dialup ppp costs per megabyte of 
> international traffic and an engineer's salary is $100-200 
> per month.  we are spoiled brats.

I know many fellows that even earn less than $100 :-(.

In regards of DNS:
> Non-authoritative answer:
> ietf.org        nameserver = ns.ietf.org
> ietf.org        nameserver = ns.CNRI.Reston.VA.US

> Authoritative answers can be found from:
> ns.ietf.org     internet address = 132.151.1.19
> ns.CNRI.Reston.VA.US    internet address = 132.151.1.1

> rfc2182 ignored, both servers on same backbone, probably 
> in same site.

This problem sounds very familiar. So, it also happen in
a more privileged country with high paid engineers? 
Ah, what a relief!

Anyway, I would like to know more about what the real best current
DNS practices are (no theory please!). Especially, on how do fellows
practicing RFC-2181 (Clarifications to the DNS Specification), RFC-2182 
(Selection and Operation of Secondary DNS Servers), dan RFC-2317 
(Classless IN-ADDR.ARPA delegation).

For example; how many run a periodic dnswalk; how to handle
lamers; where to keep the record of secondary contacts; 
is misusing CNAME a problem or not; how often it happen, 
the case where nobody remembers where the archive is; etc. 

Please send me comments and especially URLs.
I will add the summary at:

     http://rms46.vlsm.org/00-i-12.html

PS: 
- I was always wondering for what was the Source Address.
  Now, I have got clues! But, I am still wondering on
  why a 32 bit (or 128 bit) low level unique identifier is
  needed. Does it mean that the Klingons, Ferengis, and
  Vulcan have to renumber their advanced network if they
  join the FCANN (Federation Corporation for Assigned
  Names and Numbers)?

PPS:
- OK, it is 20 days too late, but try :-)

http://Ladies.and.Gentlemen.This.is.indeed.the.longest.domain.name.that.is.allowed.by.the.current.BIND.version.If.you.can.not.access.this.website--you.should.contact.your.proxy.administrator.Or.you.can.also.try.the.short.version.of.this.domain.ie.long.vlsm.org

-- 
- Rahmat M. Samik-Ibrahim --  VLSM-TJT --  http://rms46.vlsm.org/ -
- You have to let me go, I just wanna tell you! - 5IVE INVINCIBLE -